"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
define(['baja!', "bajaScript/baja/ord/SlotPath", 'jquery', 'nmodule/honBACnetUtilities/rc/lib/react.production.min', 'nmodule/honBACnetUtilities/rc/lib/react-dom.production.min', "nmodule/honBACnetUtilities/rc/HonBacnetUtils", 'lex!honBACnetUtilities', 'css!nmodule/honBACnetUtilities/rc/css/alarming', 'css!nmodule/honBACnetUtilities/rc/css/commandpriorities'], function (baja, SlotPath, $, React, ReactDOM, HonBacnetUtils, lexicons) {
  var lex = lexicons[0];
  var Reference = /*#__PURE__*/function (_React$Component) {
    _inherits(Reference, _React$Component);
    var _super = _createSuper(Reference);
    function Reference(props) {
      _classCallCheck(this, Reference);
      return _super.call(this, props);
    }
    _createClass(Reference, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        this.props.populateReferenceProps(this.props.bacnetProperties);
      }
    }, {
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(nextProps, nextContext) {}
    }, {
      key: "render",
      value: function render() {
        var _this$props$reference = this.props.referenceTab.fieldValue,
          manipulatedVariableReference = _this$props$reference.manipulatedVariableReference,
          controlledVariableReference = _this$props$reference.controlledVariableReference,
          setpointVariableReference = _this$props$reference.setpointVariableReference;
        return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("fieldset", null, /*#__PURE__*/React.createElement("legend", null, lex.get("BHonBacnetPointProperties.ManipulatiedVarRef")), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MANIPULATED_VARIABLE_REFERENCE_NAME")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: SlotPath.unescape(manipulatedVariableReference.objectReferenceName)
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MANIPULATED_VARIABLE_REFERENCE_TYPE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: SlotPath.unescape(manipulatedVariableReference.objectReferenceType)
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MANIPULATED_VARIABLE_REFERENCE_VALUE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: manipulatedVariableReference.presentValue
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MANIPULATED_VARIABLE_REFERENCE_STATUS")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: manipulatedVariableReference.objectReferenceStatus
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MANIPULATED_VARIABLE_REFERENCE_PATH")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: SlotPath.unescape(manipulatedVariableReference.referenceObjectPath)
        })))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("fieldset", null, /*#__PURE__*/React.createElement("legend", null, lex.get("BHonBacnetPointProperties.ControlledVarRef")), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CONTROLLED_VARIABLE_REFERENCE_NAME")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: controlledVariableReference.objectReferenceName
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CONTROLLED_VARIABLE_REFERENCE_TYPE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: controlledVariableReference.objectReferenceType
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CONTROLLED_VARIABLE_REFERENCE_VALUE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: controlledVariableReference.presentValue
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CONTROLLED_VARIABLE_REFERENCE_STATUS")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: controlledVariableReference.objectReferenceStatus
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CONTROLLED_VARIABLE_REFERENCE_Path")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: controlledVariableReference.referenceObjectPath
        })))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("fieldset", null, /*#__PURE__*/React.createElement("legend", null, lex.get("BHonBacnetPointProperties.SetpointVarRef")), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SETPOINT_REFERENCE_NAME")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: setpointVariableReference.objectReferenceName
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SETPOINT_REFERENCE_TYPE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: setpointVariableReference.objectReferenceType
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SETPOINT_REFERENCE_VALUE")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: setpointVariableReference.presentValue
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SETPOINT_REFERENCE_STATUS")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: setpointVariableReference.objectReferenceStatus
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SETPOINT_REFERENCE_PATH")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control textBox",
          disabled: true,
          value: setpointVariableReference.referenceObjectPath
        })))));
      }
    }]);
    return Reference;
  }(React.Component);
  return Reference;
});
