"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
define(["baja!", "dialogs", "jquery", "bajaScript/baja/ord/SlotPath", "baja!honBACnetUtilities:HonBacnetNotificationClass", "nmodule/honBACnetUtilities/rc/HonBacnetUtils", "nmodule/honBACnetUtilities/rc/lib/react.production.min", "nmodule/honBACnetUtilities/rc/lib/react-dom.production.min", "nmodule/honBACnetUtilities/rc/es6/components/svg/AlarmSVG", "nmodule/honBACnetUtilities/rc/es6/components/svg/FaultSVG", "nmodule/honBACnetUtilities/rc/es6/components/svg/OverrideSVG", "nmodule/honBACnetUtilities/rc/es6/components/svg/CrossSVG", "lex!honBACnetUtilities", "css!nmodule/honBACnetUtilities/rc/css/honBACnetUtilities"], function (baja, dialogs, $, SlotPath, HonBacnetNotificationClass, HonBacnetUtils, React, ReactDOM, AlarmSVG, FaultSVG, OverrideSVG, CrossSVG, lexicons) {
  var lex = lexicons[0];
  var HonBacnetCommonComponent = /*#__PURE__*/function (_React$Component) {
    _inherits(HonBacnetCommonComponent, _React$Component);
    var _super = _createSuper(HonBacnetCommonComponent);
    function HonBacnetCommonComponent(props) {
      var _this;
      _classCallCheck(this, HonBacnetCommonComponent);
      _this = _super.call(this, props);
      _this.handleValueChange = function (event) {
        _this.sendPresentValueProp(event.target.value, _this.props.isManual, true);
        var tVal = _this.props.presentValue;
        tVal.multiStateValue = event.target.value;
        _this.setState({
          isEdit: true,
          presentValue: tVal
        });
        event.preventDefault();
      };
      _this.handleChange = function (event) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.PRESENT_VALUE,
          propertyValue: {
            value: event.target.value
          },
          pointId: "",
          mode: !_this.props.isManual,
          isMultiState: false,
          type: _this.props.objectType
        };
        _this.props.commonCallBack(jsonProperty, {
          presentValue: {
            numericValue: jsonProperty.propertyValue.value,
            multiStateValue: ""
          }
        });
        var nVal = _this.props.presentValue;
        nVal.numericValue = event.target.value;
        _this.setState({
          isEdit: true,
          presentValue: nVal
        });
        event.preventDefault();
      };
      _this.compareInFacetValues = function (pv1, pv2) {
        var v1 = _this.props.multiStateValues.find(function (a) {
          return a.value == pv1;
        });
        if (v1 != undefined) {
          return pv2 == v1.text;
        }
        return false;
      };
      _this.getWithoutDecimalEnumNumeric = function (val) {
        var retVal = val;
        if (val != undefined) {
          var dotIndex = val.toString().indexOf(".");
          if (dotIndex > 0) {
            retVal = val.substring(0, dotIndex);
          }
        }
        return retVal;
      };
      _this.state = {
        isEdit: false,
        isMultiState: false,
        isManual: false,
        presentValue: {}
      };
      return _this;
    }
    _createClass(HonBacnetCommonComponent, [{
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(nextProps, nextContext) {
        var _this2 = this;
        var edit = !nextProps.isSaved;
        var that = this;
        setTimeout(function () {
          if (!_this2.state.isEdit && !edit) {
            that.setState({
              isEdit: edit,
              isMultiState: nextProps.isMultiState,
              isManual: nextProps.isManual,
              presentValue: nextProps.presentValue
            });
          }
        }, 500);
        if (this.state.isEdit != edit) {
          setTimeout(function () {
            that.setState({
              isEdit: edit
            });
          }, 500);
        }
      }
    }, {
      key: "autoRadioChange",
      value: function autoRadioChange() {
        var that = this;
        var jsonProperty = {
          propertyId: HonBacnetUtils.MODE,
          propertyValue: {
            value: 1
          },
          pointId: ""
        };
        var val = that.props.isMultiState ? that.getWithoutDecimalEnumNumeric(that.props.presentValue.multiStateValue) : that.props.presentValue.numericValue;
        that.sendPresentValueProp(val, false, that.props.isMultiState);
        this.props.commonCallBack(jsonProperty, {
          isManual: false,
          presentValue: {
            numericValue: that.props.presentValue.numericValue,
            multiStateValue: that.props.presentValue.multiStateValue
          }
        });
        that.setState({
          isEdit: true,
          isManual: false
        });
      }
    }, {
      key: "manualRadioChange",
      value: function manualRadioChange() {
        var that = this;
        var jsonProperty = {
          propertyId: HonBacnetUtils.MODE,
          propertyValue: {
            value: 0
          },
          pointId: ""
        };
        var val = that.props.isMultiState ? this.getWithoutDecimalEnumNumeric(that.props.presentValue.multiStateValue) : that.props.presentValue.numericValue;
        that.sendPresentValueProp(val, true, that.props.isMultiState);
        val = val == 'ON' ? 1 : val == 'OFF' ? 0 : val;
        jsonProperty.propertyValue.value = val;
        this.props.commonCallBack(jsonProperty, {
          isManual: true,
          presentValue: that.props.presentValue
        });
        that.setState({
          isEdit: true,
          isManual: true
        });
      }
    }, {
      key: "sendPresentValueProp",
      value: function sendPresentValueProp(value, isManual, isMultiState) {
        value = value == 'ON' ? 1 : value == 'OFF' ? 0 : value;
        var jsonProperty = {
          propertyId: HonBacnetUtils.PRESENT_VALUE,
          propertyValue: {
            value: value
          },
          pointId: "",
          mode: !isManual,
          isMultiState: isMultiState,
          type: this.props.objectType
        };
        this.props.commonCallBack(jsonProperty, {
          presentValue: {
            numericValue: isMultiState == false ? jsonProperty.propertyValue.value : '',
            multiStateValue: isMultiState == true ? this.getWithoutDecimalEnumNumeric(jsonProperty.propertyValue.value) : ''
          }
        });
      }
    }, {
      key: "render",
      value: function render() {
        var _this3 = this;
        var statusFlag = this.props.deviceStatus;
        return /*#__PURE__*/React.createElement("div", {
          className: "common-comp"
        }, /*#__PURE__*/React.createElement("fieldset", {
          className: "fieldSet",
          name: "fieldSet" + this.props.pointOrd
        }, /*#__PURE__*/React.createElement("legend", {
          className: "legend-head"
        }, this.props.pointDisplayName), /*#__PURE__*/React.createElement("div", {
          className: "status"
        }, this.props.pointStatusFlags.InAlarmChecked == true && /*#__PURE__*/React.createElement("div", {
          className: "d-flex align-items-center status-flag-gap"
        }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(AlarmSVG, null)), /*#__PURE__*/React.createElement("div", null, lex.get("BHonBacnetPointProperties.InAlarm"))), this.props.pointStatusFlags.FaultChecked == true && /*#__PURE__*/React.createElement("div", {
          className: "d-flex align-items-center status-flag-gap"
        }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(FaultSVG, null)), /*#__PURE__*/React.createElement("div", null, lex.get("BHonBacnetPointProperties.Fault"))), this.props.pointStatusFlags.OverriddenChecked == true && /*#__PURE__*/React.createElement("div", {
          className: "d-flex align-items-center status-flag-gap"
        }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(OverrideSVG, null)), /*#__PURE__*/React.createElement("div", null, lex.get("BHonBacnetPointProperties.Overriden"))), this.props.pointStatusFlags.outOfServiceChecked == true && this.props.pointStatusFlags.InAlarmChecked == false && this.props.pointStatusFlags.FaultChecked == false && this.props.pointStatusFlags.OverriddenChecked == false && /*#__PURE__*/React.createElement("div", {
          className: "d-flex align-items-center status-flag-gap"
        }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(CrossSVG, null)), /*#__PURE__*/React.createElement("div", null, lex.get("BHonBacnetPointProperties.OutOfService")))), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-3"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold d-flex justify-content-between w-100"
        }, /*#__PURE__*/React.createElement("div", null, lex.get("BHonBacnetPointProperties.Controller")), /*#__PURE__*/React.createElement("div", {
          className: "mr-1"
        }, statusFlag ? /*#__PURE__*/React.createElement("span", {
          className: "d-flex align-items-center"
        }, /*#__PURE__*/React.createElement("span", {
          className: "green-status"
        }), "\xA0\xA0", lex.get("BHonBacnetPointProperties.Controller.Status.OK")) : /*#__PURE__*/React.createElement("span", {
          className: "d-flex align-items-center"
        }, /*#__PURE__*/React.createElement("span", {
          className: "red-status"
        }), "\xA0\xA0", lex.get("BHonBacnetPointProperties.Controller.Status.Down")))), /*#__PURE__*/React.createElement("input", {
          type: "text",
          name: "controllerName" + this.props.pointOrd,
          value: this.props.controllerName,
          className: "form-control",
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-3"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.PointName")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          name: "pointName" + this.props.pointOrd,
          value: this.props.pointName,
          className: "form-control",
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-3"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Description")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          name: "pointDesc" + this.props.pointOrd,
          value: this.props.description,
          className: "form-control",
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-3"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.PointType")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          name: "pType" + this.props.pointOrd,
          value: this.props.pointTypeText,
          className: "form-control",
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-3"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.PresentValue")), !this.props.isMultiState ? /*#__PURE__*/React.createElement("div", {
          className: "placeholder",
          "data-placeholder": this.props.unitLabel
        }, /*#__PURE__*/React.createElement("input", {
          name: "pv" + this.props.pointOrd,
          type: "text",
          value: this.props.presentValue.numericValue,
          className: "form-control",
          disabled: !this.state.isManual,
          onChange: this.handleChange
        })) : /*#__PURE__*/React.createElement("select", {
          name: "pv" + this.props.pointOrd,
          onChange: this.handleValueChange,
          className: "form-select",
          "aria-label": "Default select example",
          disabled: !this.state.isManual
        }, this.props.multiStateValues.map(function (pv) {
          return /*#__PURE__*/React.createElement("option", {
            value: pv.value,
            selected: pv.value == _this3.getWithoutDecimalEnumNumeric(_this3.state.presentValue.multiStateValue) || _this3.compareInFacetValues(pv.value, _this3.state.presentValue.multiStateValue)
          }, pv.text);
        }))), /*#__PURE__*/React.createElement("div", {
          className: "col mb-3 radio-block"
        }, /*#__PURE__*/React.createElement("label", {
          "for": "auto"
        }, lex.get("BHonBacnetPointProperties.Auto"), "\xA0"), /*#__PURE__*/React.createElement("input", {
          type: "radio",
          id: "auto",
          name: this.props.pointOrd,
          checked: !this.state.isManual,
          onClick: this.autoRadioChange.bind(this)
        }), "\xA0\xA0\xA0\xA0", /*#__PURE__*/React.createElement("label", {
          "for": "manual"
        }, lex.get("BHonBacnetPointProperties.Manual"), "\xA0"), /*#__PURE__*/React.createElement("input", {
          type: "radio",
          id: "manual",
          name: this.props.pointOrd,
          checked: this.state.isManual,
          onClick: this.manualRadioChange.bind(this)
        })))));
      }
    }]);
    return HonBacnetCommonComponent;
  }(React.Component);
  return HonBacnetCommonComponent;
});
