"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
define(["baja!", "dialogs", "jquery", "bajaScript/baja/ord/SlotPath", "baja!honBACnetUtilities:HonBacnetNotificationClass", "nmodule/honBACnetUtilities/rc/HonBacnetUtils", "nmodule/honBACnetUtilities/rc/lib/react.production.min", "nmodule/honBACnetUtilities/rc/lib/react-dom.production.min", "lex!honBACnetUtilities", "css!nmodule/honBACnetUtilities/rc/css/honBACnetUtilities", "css!nmodule/honBACnetUtilities/rc/css/commandpriorities"], function (baja, dialogs, $, SlotPath, HonBacnetNotificationClass, HonBacnetUtils, React, ReactDOM, lexicons) {
  var lex = lexicons[0];
  var OtherProperties = /*#__PURE__*/function (_React$Component) {
    _inherits(OtherProperties, _React$Component);
    var _super = _createSuper(OtherProperties);
    function OtherProperties(props) {
      var _this;
      _classCallCheck(this, OtherProperties);
      _this = _super.call(this, props);
      _this.isPolarityApplicableOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.POLARITY,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCOVIncrementAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.COV_INCREMENT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCOVPeriodAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.COV_PERIOD,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.sensorOffsetAppOnChangeHandler = function (e) {
        var presentValue = _this.props.bacnetProperties.find(function (ele) {
          return ele.propertyId == HonBacnetUtils.SENSOR_OFFSET;
        });
        if (presentValue != null && presentValue != undefined) {
          //let offset = presentValue.propertyValue.numericValue - parseFloat(e.target.value);
          var offset = parseFloat(e.target.value);
          var jsonProperty = {
            propertyId: HonBacnetUtils.SENSOR_OFFSET,
            propertyValue: {
              value: offset
            }
          };
          _this.props.callBack(e, jsonProperty);
          _this.setState({
            isEdit: true
          });
        }
      };
      _this.isOutOfServiceAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.OUT_OF_SERVICE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isScaleFactorAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.SCALE_FACTOR,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.adjustValueAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.ADJUST_VALUE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCountAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.COUNT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isUpdateTimeAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.UPDATE_TIME,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCountChangeAppOnChangeHandler = function () {
        var jsonProperty = {
          propertyId: HonBacnetUtils.COUNT_CHANGE_TIME,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCountBeforeChangeAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.COUNT_BEFORE_CHANGE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isCurrentlyActivePriorityAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.CURRENTLY_ACTIVE_PRIORITY,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isResoultionAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.RESOLUTION,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isUpdateIntervalAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.UPDATE_INTERVAL,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isActiveTextAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.ACTIVE_TEXT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isInActiveTextAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.INACTIVE_TEXT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isProportionalAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.PROPORTIONAL_VARANT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isIntegralConstantAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.INTEGRAL_VARANT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isDerivateConstantAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.DERIVATIVE_VARANT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isBiasAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.BIAS,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isMaximumOutputAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.MAXIMUM_OUTPUT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isMinimumOutputAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.MINIMUM_OUTPUT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isActionAppOnChangehandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.ACTION,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isPriorityForWritingAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.PRIORITY_FOR_WRITING,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isSafetyPositionAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.SAFETY_POSITION,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isSafetyValueAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.SAFETY_VALUE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isDirectReserveAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.DIRECT_REVERSE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.timeToOpenAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.TIME_TO_OPEN,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.timeToCloseAppOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.TIME_TO_CLOSE,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isEohEovOptimizationFlagOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.EOH_EOV_OPTIMIZATION_FLAG,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.isDpIsSetpointOnChangeHandler = function (e) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.DP_IS_SETPOINT,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.callBack(e, jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.state = {
        isEdit: false
      };
      return _this;
    }
    _createClass(OtherProperties, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        this.props.populateOtherProps(this.props.bacnetProperties);
      }
    }, {
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(nextProps, nextContext) {
        var _this2 = this;
        var edit = !nextProps.isSaved;
        var that = this;
        setTimeout(function () {
          if (!_this2.state.isEdit && !edit) {
            that.setState({
              isEdit: edit
            });
            that.props.populateOtherProps(_this2.props.bacnetProperties);
          }
        }, 1000);
        if (this.state.isEdit != edit) {
          setTimeout(function () {
            that.setState({
              isEdit: edit
            });
          }, 500);
        }
      }
    }, {
      key: "render",
      value: function render() {
        var _this$props;
        return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
          className: "card",
          id: "css"
        }, /*#__PURE__*/React.createElement("div", {
          className: "card-body"
        }, /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.ObjectIdentifier")), /*#__PURE__*/React.createElement("input", {
          name: "objectIdentifier",
          type: "text",
          className: "form-control",
          value: this.props.otherProps.fieldValue.objectIdentifier,
          readOnly: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Reliability")), /*#__PURE__*/React.createElement("input", {
          name: "reliability",
          type: "text",
          className: "form-control",
          value: this.props.otherProps.fieldValue.reliability,
          readOnly: true
        })), this.props.propIdSet.has(HonBacnetUtils.POLARITY) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Polarity")), /*#__PURE__*/React.createElement("input", {
          name: "polarity",
          type: "text",
          className: "form-control",
          value: this.props.otherProps.fieldValue.polarity,
          readOnly: true,
          onChange: this.isPolarityApplicableOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.TERMINAL_PV) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.TerminalPV")), /*#__PURE__*/React.createElement("input", {
          name: "terminalPV",
          type: "text",
          className: "form-control",
          value: this.props.otherProps.fieldValue.terminalPV,
          readOnly: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.EventState")), /*#__PURE__*/React.createElement("input", {
          name: "eventState",
          type: "text",
          className: "form-control",
          value: this.props.otherProps.fieldValue.eventState,
          readOnly: true
        })), this.props.propIdSet.has(HonBacnetUtils.COV_INCREMENT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.COVIncrement")), /*#__PURE__*/React.createElement("span", {
          className: "input-group"
        }, /*#__PURE__*/React.createElement("input", {
          name: "cOVIncrement",
          type: "text",
          value: this.props.otherProps.fieldValue.cOVIncrement,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isCOVIncrementAppOnChangeHandler
        }), this.props.propIdSet.has(HonBacnetUtils.UNITS) && ((_this$props = this.props) === null || _this$props === void 0 ? void 0 : _this$props.unitLabel) && /*#__PURE__*/React.createElement("div", {
          "class": "input-group-prepend"
        }, /*#__PURE__*/React.createElement("span", {
          "class": "input-group-text"
        }, this.props.unitLabel)))), this.props.propIdSet.has(HonBacnetUtils.COV_PERIOD) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.COV_PERIOD")), /*#__PURE__*/React.createElement("input", {
          name: "covPeriod",
          type: "text",
          value: this.props.otherProps.fieldValue.cOVPeriod,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isCOVPeriodAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.SENSOR_OFFSET) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SensorOffset")), /*#__PURE__*/React.createElement("input", {
          name: "sensorOffset",
          type: "text",
          value: this.props.otherProps.fieldValue.sensorOffset,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.sensorOffsetAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.OUT_OF_SERVICE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.OutOfService")), /*#__PURE__*/React.createElement("select", {
          name: "outOfService",
          id: "OutOfService",
          className: "form-select",
          disabled: this.props.isUserReadOnly,
          value: this.props.otherProps.fieldValue.outOfService,
          onChange: this.isOutOfServiceAppOnChangeHandler
        }, /*#__PURE__*/React.createElement("option", {
          value: "0"
        }, "False"), /*#__PURE__*/React.createElement("option", {
          value: "1"
        }, "True"))), this.props.propIdSet.has(HonBacnetUtils.SCALE_FACTOR) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.SCALE_FACTOR")), /*#__PURE__*/React.createElement("input", {
          name: "scaleFactor",
          type: "text",
          value: this.props.otherProps.fieldValue.scaleFactor,
          className: "form-control",
          readOnly: true,
          onChange: this.isScaleFactorAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.ADJUST_VALUE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, this.props.objectType == 'pulseConverter' ? lex.get("BHonBacnetPointProperties.PULSE_CONVERTER_ADJUST_VALUE") : lex.get("BHonBacnetPointProperties.ADJUST_VALUE")), /*#__PURE__*/React.createElement("input", {
          name: "adjustValue",
          type: "text",
          value: this.props.otherProps.fieldValue.adjustValue,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.adjustValueAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.COUNT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.COUNT")), /*#__PURE__*/React.createElement("input", {
          name: "count",
          type: "text",
          value: this.props.otherProps.fieldValue.count,
          className: "form-control",
          readOnly: true,
          onChange: this.isCountAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.UPDATE_TIME) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.UPDATE_TIME")), /*#__PURE__*/React.createElement("input", {
          name: "updateTime",
          type: "text",
          value: this.props.otherProps.fieldValue.updateTime,
          className: "form-control",
          readOnly: true,
          onChange: this.isUpdateTimeAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.COUNT_CHANGE_TIME) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.COUNT_CHANGE_TIME")), /*#__PURE__*/React.createElement("input", {
          name: "countChange",
          type: "text",
          value: this.props.otherProps.fieldValue.countChange,
          className: "form-control",
          readOnly: true,
          onChange: this.isCountChangeAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.COUNT_BEFORE_CHANGE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.COUNT_BEFORE_CHANGE")), /*#__PURE__*/React.createElement("input", {
          name: "countBeforeChange",
          type: "text",
          value: this.props.otherProps.fieldValue.countBeforeChange,
          className: "form-control",
          readOnly: true,
          onChange: this.isCountBeforeChangeAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.CURRENTLY_ACTIVE_PRIORITY) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.CurrentlyActivePriority")), /*#__PURE__*/React.createElement("input", {
          name: "currentlyActivePriority",
          type: "text",
          value: this.props.otherProps.fieldValue.currentlyActivePriority,
          className: "form-control",
          readOnly: true,
          onChange: this.isCurrentlyActivePriorityAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.RESOLUTION) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Resolution")), /*#__PURE__*/React.createElement("input", {
          name: "resoultion",
          type: "text",
          value: this.props.otherProps.fieldValue.resoultion,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isResoultionAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.UPDATE_INTERVAL) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.UPDATE_INTERVAL")), /*#__PURE__*/React.createElement("input", {
          name: "updateInterval",
          type: "text",
          value: this.props.otherProps.fieldValue.updateInterval,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isUpdateIntervalAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.ACTIVE_TEXT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, "Active Text"), /*#__PURE__*/React.createElement("input", {
          name: "activeText",
          type: "text",
          value: this.props.otherProps.fieldValue.activeText,
          className: "form-control",
          readOnly: true,
          onChange: this.isActiveTextAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.INACTIVE_TEXT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, "Inactive Text"), /*#__PURE__*/React.createElement("input", {
          name: "inactiveText",
          type: "text",
          value: this.props.otherProps.fieldValue.inActiveText,
          className: "form-control",
          readOnly: true,
          onChange: this.isInActiveTextAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.PROPORTIONAL_VARANT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.PROPORTIONAL_CONSTANT")), /*#__PURE__*/React.createElement("input", {
          name: "proportional",
          type: "text",
          value: this.props.otherProps.fieldValue.proportional,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isProportionalAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.INTEGRAL_VARANT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.INTEGRAL_CONSTANT")), /*#__PURE__*/React.createElement("input", {
          name: "integralConstant",
          type: "text",
          value: this.props.otherProps.fieldValue.integralConstant,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isIntegralConstantAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.DERIVATIVE_VARANT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.DERIVATIVE_CONSTANT")), /*#__PURE__*/React.createElement("input", {
          name: "derivateConstant",
          type: "text",
          value: this.props.otherProps.fieldValue.derivateConstant,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isDerivateConstantAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.BIAS) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.BIAS")), /*#__PURE__*/React.createElement("input", {
          name: "bias",
          type: "text",
          value: this.props.otherProps.fieldValue.bias,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isBiasAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.MAXIMUM_OUTPUT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MAXIMUM_OUTPUT")), /*#__PURE__*/React.createElement("input", {
          name: "maximumOutput",
          type: "text",
          value: this.props.otherProps.fieldValue.maximumOutput,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isMaximumOutputAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.MINIMUM_OUTPUT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.MINIMUM_OUTPUT")), /*#__PURE__*/React.createElement("input", {
          name: "minimumOutput",
          type: "text",
          value: this.props.otherProps.fieldValue.minimumOutput,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isMinimumOutputAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.ACTION) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Action")), /*#__PURE__*/React.createElement("input", {
          name: "action",
          type: "text",
          value: this.props.otherProps.fieldValue.action,
          className: "form-control",
          readOnly: true,
          onChange: this.isActionAppOnChangehandler
        })), this.props.propIdSet.has(HonBacnetUtils.PRIORITY_FOR_WRITING) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.PRIORITY_FOR_WRITING")), /*#__PURE__*/React.createElement("input", {
          name: "priorityForWriting",
          type: "text",
          value: this.props.otherProps.fieldValue.priorityForWriting,
          className: "form-control",
          readOnly: true,
          onChange: this.isPriorityForWritingAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.SAFETY_POSITION) && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("span", {
          className: "d-flex align-items-center",
          style: {
            gap: '1em',
            marginBottom: '0.5rem'
          }
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold",
          style: {
            marginBottom: 0
          }
        }, lex.get("BHonBacnetPointProperties.SafetyPosition")), /*#__PURE__*/React.createElement("input", {
          type: "checkbox",
          name: "safetyPositionRemainInCurrentPosition"
        }), /*#__PURE__*/React.createElement("label", {
          htmlFor: "safetyPositionRemainInCurrentPosition"
        }, lex.get("BHonBacnetPointProperties.RemainInCurrentPosition"))), this.props.presentValuePoint.getType().toString() == "honBACnetUtilities:HonBacnetNumericWritable" && /*#__PURE__*/React.createElement("input", {
          name: "safetyPosition",
          type: "text",
          value: this.props.otherProps.fieldValue.safetyPosition,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.isSafetyPositionAppOnChangeHandler
        }), this.props.presentValuePoint.getType().toString() != "honBACnetUtilities:HonBacnetNumericWritable" && /*#__PURE__*/React.createElement("select", {
          name: "safetyPosition",
          id: "safetyPosition",
          className: "form-select",
          disabled: this.props.isUserReadOnly,
          value: this.props.otherProps.fieldValue.safetyPosition,
          onChange: this.isSafetyPositionAppOnChangeHandler
        }, /*#__PURE__*/React.createElement("option", {
          value: "0"
        }, "OFF"), /*#__PURE__*/React.createElement("option", {
          value: "1"
        }, "ON")))), this.props.propIdSet.has(HonBacnetUtils.SAFETY_VALUE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("span", {
          className: "d-flex align-items-center",
          style: {
            gap: '1em',
            marginBottom: '0.5rem'
          }
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold",
          style: {
            marginBottom: 0
          }
        }, lex.get("BHonBacnetPointProperties.SafetyValue")), /*#__PURE__*/React.createElement("input", {
          type: "checkbox",
          name: "LastValidVal"
        }), /*#__PURE__*/React.createElement("label", {
          htmlFor: "LastValidVal"
        }, lex.get("BHonBacnetPointProperties.LastValidValue"))), /*#__PURE__*/React.createElement("input", {
          name: "safetyValue",
          type: "text",
          value: this.props.otherProps.fieldValue.safetyValue,
          className: "form-control",
          disabled: this.props.presentValuePoint.getType().toString() == "honBACnetUtilities:HonBacnetNumericPoint" ? true : this.props.isUserReadOnly,
          onChange: this.isSafetyValueAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.DIRECT_REVERSE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.DirectReverse")), /*#__PURE__*/React.createElement("select", {
          name: "directReverse",
          id: "directReverse",
          className: "form-select",
          disabled: this.props.isUserReadOnly,
          value: this.props.otherProps.fieldValue.directReverse,
          onChange: this.isDirectReserveAppOnChangeHandler
        }, /*#__PURE__*/React.createElement("option", {
          value: "0"
        }, "0"))), this.props.propIdSet.has(HonBacnetUtils.TIME_TO_OPEN) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.TimeToOpen")), /*#__PURE__*/React.createElement("input", {
          name: "timeToOpen",
          type: "text",
          value: this.props.otherProps.fieldValue.timeToOpen,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.timeToOpenAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.TIME_TO_CLOSE) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.TimeToClose")), /*#__PURE__*/React.createElement("input", {
          name: "timeToClose",
          type: "text",
          value: this.props.otherProps.fieldValue.timeToClose,
          className: "form-control",
          disabled: this.props.isUserReadOnly,
          onChange: this.timeToCloseAppOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.EOH_EOV_OPTIMIZATION_FLAG) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.EohEovOptimizationFlag")), /*#__PURE__*/React.createElement("input", {
          name: "eohEovOptimizationFlag",
          type: "text",
          value: this.props.otherProps.fieldValue.eohEovOptimizationFlag,
          className: "form-control",
          readOnly: true,
          onChange: this.isEohEovOptimizationFlagOnChangeHandler
        })), this.props.propIdSet.has(HonBacnetUtils.DP_IS_SETPOINT) && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.DpIsSetpoint")), /*#__PURE__*/React.createElement("input", {
          name: "dpIsSetpoint",
          type: "text",
          value: this.props.otherProps.fieldValue.dpIsSetpoint,
          className: "form-control",
          readOnly: true,
          onChange: this.isDpIsSetpointOnChangeHandler
        }))))), /*#__PURE__*/React.createElement("br", null));
      }
    }]);
    return OtherProperties;
  }(React.Component);
  return OtherProperties;
});
