"use strict";

define(['baja!', 'jquery', 'nmodule/honBACnetUtilities/rc/lib/react.production.min', 'nmodule/honBACnetUtilities/rc/lib/react-dom.production.min', 'lex!honBACnetUtilities', 'css!nmodule/honBACnetUtilities/rc/css/tabscomponent'], function (baja, $, React, ReactDOM, lexicons) {
  var TabNavItem = function TabNavItem(_ref) {
    var id = _ref.id,
      title = _ref.title,
      activeTab = _ref.activeTab,
      setActiveTab = _ref.setActiveTab,
      _ref$show = _ref.show,
      show = _ref$show === void 0 ? true : _ref$show;
    var handleClick = function handleClick() {
      setActiveTab(id);
    };
    return /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: "tablinks ".concat(activeTab === id ? "active" : ""),
      style: {
        display: "".concat(show == false ? 'none' : 'block')
      },
      onClick: function onClick() {
        return handleClick();
      }
    }, title);
  };
  return TabNavItem;
});
