define(['lex!easyBinding'], function (lexicons) {
    return function renderDOM(React, ReactDOM,baja,sendLogBajaInfo) {
        const lex = lexicons[0];

       const LeftFilterPanel = React.createClass({
            propTypes: {
                        filterBoolean:React.PropTypes.bool,
                        filterSecureBoolean:React.PropTypes.bool,
                        filterNumeric:React.PropTypes.bool,
                        filterSecureNumeric:React.PropTypes.bool,
                        filterEnum:React.PropTypes.bool,
                        filterSecureEnum:React.PropTypes.bool,
              },
              getDefaultProps: function () {
                        return {
                            filterBoolean:true,
                            filterSecureBoolean:true,
                            filterNumeric:true,
                            filterSecureNumeric:true,
                            filterEnum:true,
                            filterSecureEnum:true
                        }
                    },
            getInitialState: function () {
                return {
                    filterBoolean:this.props.filterBoolean,
                    filterSecureBoolean:this.props.filterSecureBoolean,
                    filterNumeric:this.props.filterNumeric,
                    filterSecureNumeric:this.props.filterSecureNumeric,
                    filterEnum:this.props.filterEnum,
                    filterSecureEnum:this.props.filterSecureEnum
                }
            },
          componentWillReceiveProps: function (nextProps) {
          this.setState({
               filterBoolean:nextProps.filterConfig.filterBoolean,
               filterSecureBoolean:nextProps.filterConfig.filterSecureBoolean,
               filterNumeric:nextProps.filterConfig.filterNumeric,
               filterSecureNumeric:nextProps.filterConfig.filterSecureNumeric,
               filterEnum:nextProps.filterConfig.filterEnum,
               filterSecureEnum:nextProps.filterConfig.filterSecureEnum
          });

          },
            filterBooleanPoints: function(event) {
                this.props.booleanChecked(event.target.checked);
                this.setState({filterBoolean: event.target.checked});
            },
            filterSecureBooleanPoints: function(event) {
                this.setState({filterSecureBoolean: event.target.checked});
                this.props.secureBooleanChecked(event.target.checked);
            },
            filterNumericPoints: function(event) {
                this.setState({filterNumeric: event.target.checked});
                this.props.numericChecked(event.target.checked);
            },
            filterSecureNumericPoints: function(event) {
                this.setState({filterSecureNumeric: event.target.checked});
                this.props.secureNumericChecked(event.target.checked);
            },
            filterEnumPoints: function(event) {
                this.setState({filterEnum: event.target.checked});
                this.props.enumChecked(event.target.checked);
            },
            filterSecureEnumPoints: function(event) {
                this.setState({filterSecureEnum: event.target.checked});
                 this.props.secureEnumChecked(event.target.checked);
            },
           render() {
            return (
                <div>
                    <div style={{ flexShrink: '0', background: '#F9F9F9', borderTop: '5px solid #EBEBEB', height: '10%'}} >
                        <div style={{ display: 'inline-block',  width: '100%' , height:'100%'}}>
                            <div style={{ display: 'table', height: '100%', width: '100%', background: 'white', boxSizing: 'border-box', borderBottom: '3px solid #96B7E8', borderRight: '2px solid #EBEBEB' }}>
                                <div style={{ width:'20%'}} ><img src='/ord?module://easyBinding/res/images/bookmark.png' style={{ display: 'table-cell', paddingTop: '5px', paddingBottom:'5px' ,paddingLeft:'5px'}}/></div>
                                <div style={{ width:'80%', display: 'table-cell', verticalAlign: 'middle', textAlign:'left'}}>
                                    <span style={{  fontFamily : 'Calibri !important', color:'#000000', fontSize:'18px'}}> {lex.get("eb.easyBinding.points.filter.label")}</span>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div style={{ paddingLeft: '10px'}}>
                         <table>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterBooleanPoints(e)}><input type="checkbox" id="chkBoolean" checked={this.state.filterBoolean } />
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Boolean</span>
                                 </div>
                               </td>
                             </tr>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterSecureBooleanPoints(e)}><input type="checkbox" id="chkSecureBoolean" checked={this.state.filterSecureBoolean} />
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Secure Boolean</span>
                                 </div>
                               </td>
                             </tr>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterNumericPoints(e)}><input type="checkbox" id="chkNumeric" checked={this.state.filterNumeric} />
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Numeric</span>
                                 </div>
                               </td>
                             </tr>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterSecureNumericPoints(e)}><input type="checkbox" id="chkSecureNumeric" checked={this.state.filterSecureNumeric} />
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Secure Numeric</span>
                                 </div>
                               </td>
                             </tr>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterEnumPoints(e)}><input type="checkbox" id="chkEnum" checked={this.state.filterEnum} />
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Enum</span>
                                 </div>
                               </td>
                             </tr>
                             <tr style= {{ height:'30px' }}>
                               <td>
                                 <div onClick={(e) => this.filterSecureEnumPoints(e)}><input type="checkbox" id="chkSecureEnum"  checked={this.state.filterSecureEnum}/>
                                 <span style={{ color:'#000000', fontSize:'14px'}}>&nbsp;&nbsp; Secure Enum</span>
                                 </div>
                               </td>
                             </tr>
                           </table>
                    </div>
                </div>
                );
            }
        });

        return LeftFilterPanel;
    }
});